[CentOS-virt] unable to execute QEMU command 'migrate': this feature or command is not currently supported

Valentin Guggiana valentin at guggiana.ch
Thu Mar 16 12:50:19 UTC 2017


Hi all

I'm trying to do a live migration with non-shared storage on CentOS 7. 
It was working
well doing it from CentOS 6 to CentOS 7 but not between to CentOS 7 
machines. I read
that this feature was removed in RHEL/CentOS 7 but should be available 
in the CentOS-QEMU-EV
repository. But I still get the error using qemu-kvm-ev:

error: internal error: unable to execute QEMU command 'migrate': this 
feature or command is not currently supported

My installed libvirt and qemu packets are:

libvirt-2.0.0-10.el7_3.5.x86_64
libvirt-client-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-config-network-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-config-nwfilter-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-interface-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-lxc-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-network-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-nodedev-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-nwfilter-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-qemu-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-secret-2.0.0-10.el7_3.5.x86_64
libvirt-daemon-driver-storage-2.0.0-10.el7_3.5.x86_64
libvirt-glib-0.2.3-1.el7.x86_64
libvirt-python-2.0.0-2.el7.x86_64
qemu-img-ev-2.6.0-28.el7_3.6.1.x86_64
qemu-kvm-common-ev-2.6.0-28.el7_3.6.1.x86_64
qemu-kvm-ev-2.6.0-28.el7_3.6.1.x86_64
qemu-kvm-tools-ev-2.6.0-28.el7_3.6.1.x86_64

My command is:
virsh migrate --live --copy-storage-all --persistent --undefinesource 
--tunnelled --p2p --verbose --xml server.xml server 
qemu+ssh://xxx@a.b.c.d/system

Any help would be greatly appreciated.


Thanks, Valentin


More information about the CentOS-virt mailing list